/*
 * Copyright (c) 2004, 2005 BLADOX, s.r.o.
 * All Rights Reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE BLADOX OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
 * THE POSSIBILITY OF SUCH DAMAGE.  
 */

#ifndef _BLADOX_DEVICE_TYPES_
#define _BLADOX_DEVICE_TYPES_

/**
\ingroup api_proc
\ref gen_about_dev_tsim, \ref gen_about_dev_tmini, \ref gen_about_dev_ta, \ref gen_about_dev_tl, \ref gen_about_dev_tm
*/

#define TURBO_SIM_TOOLKIT_ADAPTER		0x01

/**
\ingroup api_proc
Turbo Programmer
*/

#define TURBO_PROGRAMMER			0x01

/**
\ingroup api_proc
Turbo Programmer 2
*/

#define TURBO_PROGRAMMER_2			0x02

/**
\ingroup api_proc
BRUM
*/

#define BRUM_NBX_24				0x03

/**
\ingroup api_proc
\ref gen_about_dev_tl2, \ref gen_about_dev_tm2
*/

#define TURBO_SIM_TOOLKIT_ADAPTER_EVO		0x04

/**
\ingroup api_proc
\ref gen_about_dev_tbra
*/

#define TURBO_SIM_TOOLKIT_ADAPTER_BRA		0x05

/**
\ingroup api_proc
BRUM USB
*/

#define BRUM_NBX_24_USB				0x06

/**
\ingroup api_proc
\ref gen_about_dev_twins
*/

#define TURBO_SIM_TOOLKIT_ADAPTER_TWINS		0x07

/**
\ingroup api_proc
\ref gen_about_dev_nfc
*/

#define TURBO_SIM_TOOLKIT_ADAPTER_NFC  		0x08

#endif
